//+------------------------------------------------------------------+
//|                                                            1.mq4 |
//|                      Copyright  2010, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
string Symb;                     //  . 
extern double StopLoss   =40;    // SL   
extern double TakeProfit =95;    //    
 int    Period_MA_1 =10;         //   1
 int    Period_MA_2 =60;         //   2
 int
    Ticket,                      //  
    Lts =1;                      //  
   double
   SMA_1_0,                         // . _1 0 
   SMA_1_1,                         // . _1 1 
   SMA_2_0,                         // . _2 0 
   SMA_2_1,                         // . _2 1 
   SL,                              // SL   
   TP;                              // TP  

//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  { 
    RefreshRates();                        //  
 Symb=Symbol();   
 SMA_1_1=SMA_1_0;                          //  _1 1 
 SMA_2_1=SMA_2_0;                          //  _2 1 
 SMA_1_0=iMA(NULL,0,Period_MA_1,0,MODE_LWMA,PRICE_TYPICAL,1); // _1 0 
 SMA_2_0=iMA(NULL,0,Period_MA_2,0,MODE_LWMA,PRICE_TYPICAL,1); // _2  
 
//----
  if (SMA_1_0 > SMA_2_0 && SMA_1_1 < SMA_2_1)   //   
     {   
      if (Ticket > 0)                           //    - 
            OrderClose(Ticket,Lts,Bid,10);       
         SL=Bid - StopLoss*Point-10;            //  SL .
         TP=Bid + TakeProfit*Point;            //  TP .
         Alert("  Buy.  ..");
         Ticket=OrderSend(Symb,OP_BUY,Lts,Ask,3,SL,TP); // Buy
         if (Ticket > 0)                          //  :)
           {
            Alert ("  Buy ",Ticket);
            return;                               //   start()
           }
     }
//--------------------------------------------------------------------
   if (SMA_1_0 < SMA_2_0 && SMA_1_1 > SMA_2_1)   //   
     {
      if (Ticket > 0)
             OrderClose(Ticket,Lts,Ask, 10);      //    
         SL=Ask + StopLoss*Point+10;              //  SL .
         TP=Ask - TakeProfit*Point;               //  TP .
         Alert("  Sell.  ..");
         Ticket=OrderSend(Symb,OP_SELL,Lts,Bid,3,SL,TP);// Buy
         if (Ticket > 0)                        //  :)
           {
            Alert ("  Sell ",Ticket);
            return;                             //   start()
           }
        }
//---------
   return(0);
  }
  //+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+